# Retrieve a payment run Retrieve the details of a specific Payment Run object. Endpoint: GET /object-query/payment-runs/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `key` (string, required) Object ID or Number. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. The Payment Run object does not support expanding any related objects. - `filter[]` (array) A case-insensitive filter on the list. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the payment run. - `createdById` (string) The unique identifier of the user who created the payment run. - `createdDate` (string) The time that the payment run gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `updatedById` (string) The unique identifier of the user who last updated the payment run. - `updatedDate` (string) The time that the payment run gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `endDate` (string) The end date of the payment run. - `executedDate` (string) The date and time when the payment run is executed, in yyyy-mm-dd hh:mm:ss format. For example, 2024-03-01 11:30:37. - `numberOfCreditBalanceAdjustments` (integer) Note: This field is only available if you have the Credit Balance feature enabled. The number of credit balance adjustments that are successfully processed in the payment run. - `numberOfErrors` (integer) The number of payments with the status of Error and Processing. - `numberOfInvoices` (integer) Note: This field is only available if you have the Invoice Settlement feature enabled. The total number of invoices that are picked up for processing in the payment run. - `numberOfPayments` (integer) The number of payments that are successfully processed in the payment run. - `numberOfUnprocessed` (integer) The number of billing documents with remaining positive balances after the payment run is completed. - `paymentRunNumber` (string) Number of the payment run. - `status` (string) The status of the created payment run. Enum: "Pending", "Processing", "Completed", "Error", "Canceled" - `targetDate` (string) The target date used to determine which receivables to be collected in the payment run. - `applyCreditBalance` (boolean) Whether to apply credit balances in the payment run. This field is only available when you have Invoice Settlement feature disabled. - `consolidatedPayment` (boolean) Note: The Process Electronic Payment permission also needs to be allowed for a Manage Payment Runs role to work. See [Payments Roles](https://knowledgecenter.zuora.com/CF_Users_and_Administrators/A_Administrator_Settings/User_Roles/e_Payments_Roles) for more information. Whether to process a single payment for all receivables that are due on an account. - `processPaymentWithClosedPM` (boolean) Whether to process payments even if the default payment method is closed. Note: The Process Electronic Payment permission also needs to be allowed for a Manage Payment Runs role to work. See [Payments Roles](https://knowledgecenter.zuora.com/CF_Users_and_Administrators/A_Administrator_Settings/User_Roles/e_Payments_Roles) for more information. - `collectPayment` (boolean) Whether to process electronic payments during the execution of payment runs. - `autoApplyCreditMemo` (boolean) Whether to automatically apply a posted credit memo to one or more receivables in the payment run. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `autoApplyUnappliedPayment` (boolean) Whether to automatically apply unapplied payments to one or more receivables in the payment run. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `numberOfCreditMemos` (integer) The total number of credit memos that are successfully processed in the payment run. Note: This field is only available if you have the Invoice Settlement feature enabled. - `numberOfDebitMemos` (integer) The total number of debit memos that are picked up for processing in the payment run. Note: This field is only available if you have the Invoice Settlement feature enabled. - `numberOfDebitMemosUnprocessed` (integer) The total number of debit memos that are not processed in the payment run. Note: This field is only available if you have the Invoice Settlement feature enabled. - `numberofUnappliedPayments` (integer) The number of unapplied payments that are successfully processed in the payment run. Note: This field is only available if you have the Invoice Settlement feature enabled. - `totalExecutionTime` (integer) The total time taken to execute the payment run in milliseconds. - `errorMessage` (string) The detailed information of the error response. - `runDate` (string) The date and time when the scheduled payment run is to be executed for collecting payments. - `nextRunOn` (string) The date when the next payment run is scheduled to run. - `repeatType` (string) The repeat type of the payment run. Enum: "None", "Daily", "Weekly", "Monthly" - `repeatFrom` (string) The start date of the scheduled payment run. - `repeatTo` (string) The end date of of the scheduled payment run. - `runTime` (integer) The scheduled run time (hour) of day. - `timeZone` (string) Timezone of the scheduled payment run. - `monthlyOnDay` (string) The repeat day in a month. - `weeklyOnDay` (string) The repeat day in a week. This field is required if you set repeatType field to Weekly. Enum: "Mon", "Tue", "Wed", "Thu", "Fri", "Sat", "Sun" - `accountId` (string) The ID of the customer account associated with the payment run. - `batch` (string) The alias name given to a batch. Example: "Batch1" - `billingCycleDay` (string) The billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. Example: 1 - `currency` (string) A currency defined in the web-based UI administrative settings. Example: "USD" - `paymentGatewayId` (string,null) The ID of the gateway instance that processes the payment. - `billingRunId` (string) The unique identifier of the billing run that the payment run is associated with. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.